module OverSIP
  module Modules
    module Callsign
      class Identity
        attr_accessor :identifier
        attr_accessor :type

        def initialize(identifier, type)
          @identifier = identifier
          @type = type
        end

        def self.parse(input)
          result, identifier, type = /^(.*):(\w+)$/.match(input).to_a.flatten
          raise("Unable to parse identity: #{input}") if result.nil?
          Identity.new identifier, type
        end
      end
    end
  end
end